Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezfilehandler.php
Go to the documentation of this file.
1 <?php
56 class eZFileHandler
57 {
58 public $Identifier;
59 public $FileHandler;
66 public function __construct( $handlerIdentifier = false, $handlerName = false )
67 {
68 if ( !$handlerIdentifier )
69 {
70 $handlerIdentifier = 'plain';
71 $handlerName = 'Plain';
72 }
73 $this->Name = $handlerName;
74 $this->Identifier = $handlerIdentifier;
75 $this->FileName = false;
76 $this->FileHandler = false;
77 $this->Mode = false;
78 $this->IsOpen = false;
79 $this->IsBinary = false;
80 }
81
85 function isOpen()
86 {
87 return $this->IsOpen;
88 }
89
93 function isBinaryMode()
94 {
95 return $this->IsBinary;
96 }
97
101 function filename()
102 {
103 return $this->FileName;
104 }
105
109 function mode()
110 {
111 return $this->Mode;
112 }
113
118 function name()
119 {
120 return $this->Name;
121 }
122
127 function identifier()
128 {
129 return $this->Identifier;
130 }
131
136 static function isAvailable()
137 {
138 return true;
139 }
140
148 static function linkCopy( $sourceFilename, $destinationFilename, $symbolicLink = true )
149 {
150 if ( in_array( eZSys::osType(),
151 array( 'unix', 'linux', 'mac' ) ) )
152 {
153 if ( $symbolicLink )
154 $result = eZFileHandler::symlink( $sourceFilename, $destinationFilename );
155 else
156 $result = eZFileHandler::link( $sourceFilename, $destinationFilename );
157 if ( $result )
158 return $result;
159 return eZFileHandler::copy( $sourceFilename, $destinationFilename );
160 }
161 else
162 {
163 return eZFileHandler::copy( $sourceFilename, $destinationFilename );
164 }
165 }
166
174 static function symlink( $sourceFilename, $destinationFilename )
175 {
176 if ( !file_exists( $sourceFilename ) and
177 !is_link( $sourceFilename ) )
178 {
179 eZDebug::writeError( "Cannot symbolicly link to file $sourceFilename, it does not exist", __METHOD__ );
180 return false;
181 }
182 $isDir = false;
183 if ( is_dir( $destinationFilename ) )
184 {
185 $isDir = true;
186 $dirPosition = strrpos( $sourceFilename, '/' );
187 $filePosition = 0;
188 if ( $dirPosition !== false )
189 $filePosition = $dirPosition + 1;
190 if ( strlen( $destinationFilename ) > 0 and
191 $destinationFilename[strlen( $destinationFilename ) - 1] == '/' )
192 $destinationFilename .= substr( $sourceFilename, $filePosition );
193 else
194 $destinationFilename .= '/' . substr( $sourceFilename, $filePosition );
195 }
196 $destinationFilename = preg_replace( "#/+#", '/', $destinationFilename );
197 $sourceDir = $sourceFilename;
198 $sourceName = false;
199 $sourceDirPos = strrpos( $sourceDir, '/' );
200 if ( $sourceDirPos !== false )
201 {
202 $sourceName = substr( $sourceDir, $sourceDirPos + 1 );
203 $sourceDir = substr( $sourceDir, 0, $sourceDirPos );
204 }
205 $commonOffset = 0;
206 for ( $i = 0; $i < strlen( $sourceFilename ) and $i < strlen( $sourceDir ); ++$i )
207 {
208 if ( $sourceFilename[$i] != $sourceDir[$i] )
209 break;
210 $commonOffset = $i;
211 }
212 if ( $commonOffset > 0 )
213 $sourceDir = substr( $sourceDir, $commonOffset + 1 );
214 $directoryCount = substr_count( $sourceDir, '/' );
215 $cdupText = str_repeat( '../', $directoryCount );
216 if ( file_exists( $destinationFilename ) and
217 !is_dir( $destinationFilename ) )
218 {
219 if ( !@unlink( $destinationFilename ) )
220 {
221 eZDebug::writeError( "Cannot symbolicly link to file $sourceFilename on destination $destinationFilename, destination file cannot be removed", __METHOD__ );
222 return false;
223 }
224 }
225 if ( $sourceDir )
226 $sourceDir = $sourceDir . '/' . $sourceName;
227 else
228 $sourceDir = $sourceName;
229 if ( symlink( $cdupText . $sourceDir, $destinationFilename ) )
230 {
231 return true;
232 }
233 eZDebug::writeError( "Failed to symbolicly link to $sourceFilename on destination $destinationFilename", __METHOD__ );
234 return false;
235 }
236
244 static function link( $sourceFilename, $destinationFilename )
245 {
246 if ( !file_exists( $sourceFilename ) and
247 !is_link( $sourceFilename ) )
248 {
249 eZDebug::writeError( "Cannot link to file $sourceFilename, it does not exist", __METHOD__ );
250 return false;
251 }
252 $isDir = false;
253 if ( is_dir( $destinationFilename ) )
254 {
255 $isDir = true;
256 $dirPosition = strrpos( $sourceFilename, '/' );
257 $filePosition = 0;
258 if ( $dirPosition !== false )
259 $filePosition = $dirPosition + 1;
260 if ( strlen( $destinationFilename ) > 0 and
261 $destinationFilename[strlen( $destinationFilename ) - 1] == '/' )
262 $destinationFilename .= substr( $sourceFilename, $filePosition );
263 else
264 $destinationFilename .= '/' . substr( $sourceFilename, $filePosition );
265 }
266 $destinationFilename = preg_replace( "#/+#", '/', $destinationFilename );
267 if ( file_exists( $destinationFilename ) and
268 !is_dir( $destinationFilename ) )
269 {
270 if ( !@unlink( $destinationFilename ) )
271 {
272 eZDebug::writeError( "Cannot link to file $sourceFilename on destination $destinationFilename, destination file cannot be removed", __METHOD__ );
273 return false;
274 }
275 }
276 if ( link( $sourceFilename, $destinationFilename ) )
277 {
278 return true;
279 }
280 eZDebug::writeError( "Failed to link to $sourceFilename on destination $destinationFilename", __METHOD__ );
281 return false;
282 }
283
290 static function move( $sourceFilename, $destinationFilename )
291 {
292 if ( !file_exists( $sourceFilename ) and
293 !is_link( $sourceFilename ) )
294 {
295 eZDebug::writeError( "Cannot rename file $sourceFilename, it does not exist", __METHOD__ );
296 return false;
297 }
298 $isDir = false;
299 if ( is_dir( $destinationFilename ) )
300 {
301 $isDir = true;
302 $dirPosition = strrpos( $sourceFilename, '/' );
303 $filePosition = 0;
304 if ( $dirPosition !== false )
305 $filePosition = $dirPosition + 1;
306 if ( strlen( $destinationFilename ) > 0 and
307 $destinationFilename[strlen( $destinationFilename ) - 1] == '/' )
308 $destinationFilename .= substr( $sourceFilename, $filePosition );
309 else
310 $destinationFilename .= '/' . substr( $sourceFilename, $filePosition );
311 }
312
313
314 // If source and destination are the same files we just return true
315 if ( $sourceFilename == $destinationFilename )
316 {
317 return true;
318 }
319
320 if ( file_exists( $destinationFilename ) and
321 !is_dir( $destinationFilename ) )
322 {
323 if ( !@unlink( $destinationFilename ) )
324 {
325 eZDebug::writeError( "Cannot move file $sourceFilename to destination $destinationFilename, destination file cannot be removed", __METHOD__ );
326 return false;
327 }
328 }
329 $isLink = false;
330 if ( is_link( $sourceFilename ) )
331 {
332 $isLink = true;
333 }
334 if ( !$isLink and
335 eZFile::rename( $sourceFilename, $destinationFilename ) )
336 {
337 return true;
338 }
339 if ( eZFileHandler::copy( $sourceFilename, $destinationFilename ) )
340 {
341 if ( !@unlink( $sourceFilename ) )
342 {
343 eZDebug::writeError( "Cannot remove source file $sourceFilename, file was not succesfully moved", __METHOD__ );
344 @unlink( $destinationFilename );
345 return false;
346 }
347 return true;
348 }
349 eZDebug::writeError( "Failed to copy $sourceFilename to $destinationFilename, file was not succesfully moved", __METHOD__ );
350 return false;
351 }
352
357 static function copy( $sourceFilename, $destinationFilename )
358 {
359 if ( is_dir( $sourceFilename ) )
360 {
361 eZDebug::writeError( "Unable to copy directory $sourceFilename, use eZDir::copy instead", __METHOD__ );
362 return false;
363 }
364 $sourceFD = @fopen( $sourceFilename, 'rb' );
365 if ( !$sourceFD )
366 {
367 eZDebug::writeError( "Unable to open source file $sourceFilename in read mode", __METHOD__ );
368 return false;
369 }
370 if ( is_dir( $destinationFilename ) )
371 {
372 $dirPosition = strrpos( $sourceFilename, '/' );
373 $filePosition = 0;
374 if ( $dirPosition !== false )
375 $filePosition = $dirPosition + 1;
376 if ( strlen( $destinationFilename ) > 0 and
377 $destinationFilename[strlen( $destinationFilename ) - 1] == '/' )
378 $destinationFilename .= substr( $sourceFilename, $filePosition );
379 else
380 $destinationFilename .= '/' . substr( $sourceFilename, $filePosition );
381 }
382
383 // If source and destination are the same files we just return true
384 if ( $sourceFilename == $destinationFilename )
385 {
386 @fclose( $sourceFD );
387 return true;
388 }
389
390 $destinationFD = fopen( $destinationFilename, 'wb' );
391 chmod( $destinationFilename, octdec( eZINI::instance()->variable( 'FileSettings', 'StorageFilePermissions' ) ) );
392 if ( !$destinationFD )
393 {
394 @fclose( $sourceFD );
395 eZDebug::writeError( "Unable to open destination file $destinationFilename in write mode", __METHOD__ );
396 return false;
397 }
398 $bytesCopied = 0;
399 do
400 {
401 $data = fread( $sourceFD, 4096 );
402 if ( strlen( $data ) == 0 )
403 break;
404 fwrite( $destinationFD, $data );
405 $bytesCopied += strlen( $data );
406 } while( true );
407
408 @fclose( $sourceFD );
409 @fclose( $destinationFD );
410 return true;
411 }
412
417 function exists( $filename = false )
418 {
419 if ( !$filename )
420 $filename = $this->FileName;
421 return $this->doExists( $filename );
422 }
423
427 function isDirectory( $filename = false )
428 {
429 if ( !$filename )
430 $filename = $this->FileName;
431 return $this->doIsDirectory( $filename );
432 }
433
437 function isExecutable( $filename = false )
438 {
439 if ( !$filename )
440 $filename = $this->FileName;
441 return $this->doIsExecutable( $filename );
442 }
443
447 function isFile( $filename = false )
448 {
449 if ( !$filename )
450 $filename = $this->FileName;
451 return $this->doIsFile( $filename );
452 }
453
457 function isLink( $filename = false )
458 {
459 if ( !$filename )
460 $filename = $this->FileName;
461 return $this->doIsLink( $filename );
462 }
463
467 function isReadable( $filename = false )
468 {
469 if ( !$filename )
470 $filename = $this->FileName;
471 return $this->doIsReadable( $filename );
472 }
473
477 function isWriteable( $filename = false )
478 {
479 if ( !$filename )
480 $filename = $this->FileName;
481 return $this->doIsWriteable( $filename );
482 }
483
487 function statistics( $filename = false )
488 {
489 if ( !$filename )
490 $filename = $this->FileName;
491 return $this->doStatistics( $filename );
492 }
493
503 function open( $filename, $mode, $binaryFile = true )
504 {
505 if ( $this->isOpen() )
506 {
507 eZDebug::writeError( "A file is already open (" . $this->FileName . "), close the file before opening a new one.",
508 'eZFileHandler::open' );
509 return false;
510 }
511 if ( !$filename and
512 !$this->FileName )
513 {
514 eZDebug::writeError( "The supplied filename is empty and no filename set for object, cannot open any file", __METHOD__ );
515 return false;
516 }
517 if ( !$filename )
518 $filename = $this->FileName;
519 if ( !$mode )
520 $mode = 'r';
521 if ( strpos( $mode, 'b' ) !== false )
522 $binaryFile = true;
523 $mode = str_replace( 'b', '', $mode );
524 if ( $binaryFile )
525 $mode .= 'b';
526 $this->IsBinary = $binaryFile;
527 $result = $this->doOpen( $filename, $mode );
528 if ( $result )
529 {
530 // eZDebugSetting::writeNotice( 'lib-ezfile-openclose',
531 // "Opened file $filename with mode '$mode'",
532 // 'eZFileHandler::open' );
533 $this->FileName = $filename;
534 $this->Mode = $mode;
535 $this->IsOpen = true;
536 }
537 else
538 eZDebug::writeError( "Failed opening file $filename with mode $mode", __METHOD__ );
539 return $result;
540 }
541
545 function close()
546 {
547 if ( !$this->isOpen() )
548 {
549 eZDebug::writeError( "A file is not currently opened, cannot close.", __METHOD__ );
550 return false;
551 }
552 // eZDebugSetting::writeNotice( 'lib-ezfile-openclose',
553 // "Closing file " . $this->filename() . " with previously opened mode '" . $this->mode() . "'",
554 // 'eZFileHandler::close' );
555 $result = $this->doClose();
556 if ( !$result )
557 eZDebug::writeError( "Failed closing file " . $this->FileName . " opened with mode " . $this->Mode, __METHOD__ );
558 else
559 $this->IsOpen = false;
560 return $result;
561 }
562
566 function unlink( $filename = false )
567 {
568 if ( !$filename )
569 {
570 if ( $this->isOpen() )
571 $this->close();
572 $filename = $this->FileName;
573 }
574 $result = eZFileHandler::doUnlink( $filename );
575 if ( !$result )
576 eZDebug::writeError( "Failed unlinking file " . $filename, __METHOD__ );
577 return $result;
578 }
579
586 function rename( $destinationFilename, $sourceFilename = false )
587 {
588 if ( !$sourceFilename )
589 {
590 $wasOpen = $this->isOpen();
591 if ( $wasOpen )
592 $this->close();
593 $result = $this->doRename( $destinationFilename, $this->filename() );
594 if ( $wasOpen and
595 $result )
596 $this->open( $destinationFilename, $this->mode() );
597 }
598 else
599 $result = $this->doRename( $destinationFilename, $sourceFilename );
600 return $result;
601 }
602
610 function read( $length = false )
611 {
612 if ( !$this->isOpen() )
613 {
614 eZDebug::writeError( "A file is not currently opened, cannot read.", __METHOD__ );
615 return false;
616 }
617 if ( $length < 0 )
618 {
619 eZDebug::writeError( "length cannot be negative ($length)", __METHOD__ );
620 return false;
621 }
622 if ( $length )
623 {
624 return $this->doRead( $length );
625 }
626 else
627 {
628 $string = '';
629 $data = false;
630 do
631 {
632 $data = $this->doRead( 1024 );
633 if ( $data )
634 $string .= $data;
635 } while( $data );
636 return $string;
637 }
638 }
639
646 function write( $data, $length = false )
647 {
648 if ( !$this->isOpen() )
649 {
650 eZDebug::writeError( "A file is not currently opened, cannot write.", __METHOD__ );
651 return false;
652 }
653 if ( $length < 0 )
654 {
655 eZDebug::writeError( "length cannot be negative ($length)", __METHOD__ );
656 return false;
657 }
658 return $this->doWrite( $data, $length );
659 }
660
665 function flush()
666 {
667 if ( !$this->isOpen() )
668 {
669 eZDebug::writeError( "A file is not currently opened, cannot flush.", __METHOD__ );
670 return false;
671 }
672 return $this->doFlush();
673 }
674
684 function seek( $offset, $whence = SEEK_SET )
685 {
686 if ( !$this->isOpen() )
687 {
688 eZDebug::writeError( "A file is not currently opened, cannot seek.", __METHOD__ );
689 return false;
690 }
691 return $this->doSeek( $offset, $whence );
692 }
693
698 function rewind()
699 {
700 if ( !$this->isOpen() )
701 {
702 eZDebug::writeError( "A file is not currently opened, cannot rewind.", __METHOD__ );
703 return false;
704 }
705 return $this->doRewind();
706 }
707
712 function tell()
713 {
714 if ( !$this->isOpen() )
715 {
716 eZDebug::writeError( "A file is not currently opened, cannot tell position.", __METHOD__ );
717 return false;
718 }
719 return $this->doTell();
720 }
721
725 function eof()
726 {
727 if ( !$this->isOpen() )
728 {
729 eZDebug::writeError( "A file is not currently opened, cannot report EOF status.", __METHOD__ );
730 return false;
731 }
732 return $this->doEOF();
733 }
734
740 function passtrough( $closeFile = true )
741 {
742 if ( !$this->isOpen() )
743 {
744 eZDebug::writeError( "A file is not currently opened, cannot do a data passtrough.", __METHOD__ );
745 return false;
746 }
747 return $this->doPasstrough( $closeFile );
748 }
749
755 function doOpen( $filename, $mode )
756 {
757 $this->FileHandler = @fopen( $filename, $mode );
758 return $this->FileHandler;
759 }
760
766 function doClose()
767 {
768 $result = @fclose( $this->FileHandler );
769 $this->FileHandler = false;
770 return $result;
771 }
772
778 static function doUnlink( $filename )
779 {
780 return @unlink( $filename );
781 }
782
788 static function doExists( $filename )
789 {
790 return file_exists( $filename );
791 }
792
798 static function doIsDirectory( $filename )
799 {
800 return is_dir( $filename );
801 }
802
808 static function doIsExecutable( $filename )
809 {
810 return is_executable( $filename );
811 }
812
818 static function doIsFile( $filename )
819 {
820 return is_file( $filename );
821 }
822
828 static function doIsLink( $filename )
829 {
830 return is_link( $filename );
831 }
832
838 static function doIsReadable( $filename )
839 {
840 return is_readable( $filename );
841 }
842
848 static function doIsWriteable( $filename )
849 {
850 return is_writable( $filename );
851 }
852
858 static function doStatistics( $filename )
859 {
860 return @stat( $filename );
861 }
862
868 function doSeek( $offset, $whence )
869 {
870 return @fseek( $this->FileHandler, $offset, $whence );
871 }
872
878 function doRewind()
879 {
880 $this->doSeek( 0, SEEK_SET );
881 }
882
888 function doTell()
889 {
890 return @ftell( $this->FileHandler );
891 }
892
898 function doEOF()
899 {
900 return @feof( $this->FileHandler );
901 }
902
908 function doPasstrough( $closeFile = true )
909 {
910 $result = @fpassthru( $this->FileHandler );
911 if ( $closeFile )
912 {
913 @fclose( $this->FileHandler );
914 $this->FileHandler = false;
915 }
916 }
917
923 function doRead( $length = false )
924 {
925 return @fread( $this->FileHandler, $length );
926 }
927
933 function doWrite( $data, $length = false )
934 {
935 if ( $length === false )
936 return @fwrite( $this->FileHandler, $data );
937 else
938 return @fwrite( $this->FileHandler, $data, $length );
939 }
940
946 function doFlush()
947 {
948 return @fflush( $this->FileHandler );
949 }
950
956 static function doRename( $destinationFilename, $sourceFilename )
957 {
958 return eZFile::rename( $sourceFilename, $destinationFilename );
959 }
960
967 function error()
968 {
969 return array( 'string' => $this->errorString(),
970 'number' => $this->errorNumber() );
971 }
972
977 function errorString()
978 {
979 return false;
980 }
981
986 function errorNumber()
987 {
988 return false;
989 }
990
995 function duplicate()
996 {
997 $copy = clone $this;
998 return $copy;
999 }
1000
1018 static function instance( $identifier, $filename = false, $mode = false, $binaryFile = true )
1019 {
1020 $ini = eZINI::instance( 'file.ini' );
1021 $handlers = $ini->variable( 'FileSettings', 'Handlers' );
1022 $instance = false;
1023 if ( !$identifier )
1024 {
1025 $instance = new eZFileHandler();
1026 }
1027 else if ( isset( $handlers[$identifier] ) )
1028 {
1029 $className = $handlers[$identifier];
1030 $includeFile = 'lib/ezfile/classes/' . $className . '.php';
1031 include_once( $includeFile );
1032 $instance = new $className();
1033 if ( $instance->isAvailable() )
1034 {
1035 if ( $filename )
1036 $instance->open( $filename, $mode, $binaryFile );
1037 }
1038 else
1039 {
1040 unset( $instance );
1041 $instance = false;
1042 }
1043 }
1044 return $instance;
1045 }
1046
1048 public $Name;
1049 public $FileName;
1050 public $Mode;
1051 public $IsBinary;
1052 public $IsOpen;
1053 }
1054
1055 ?>
$i
$i
Definition: admin/adlist.php:91
eZDebug\writeError
static writeError( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:546
eZFileHandler
Interface for file handlers.
Definition: ezfilehandler.php:57
eZFileHandler\doRead
doRead( $length=false)
Definition: ezfilehandler.php:923
eZFileHandler\symlink
static symlink( $sourceFilename, $destinationFilename)
Definition: ezfilehandler.php:174
eZFileHandler\passtrough
passtrough( $closeFile=true)
Definition: ezfilehandler.php:740
eZFileHandler\doExists
static doExists( $filename)
Definition: ezfilehandler.php:788
eZFileHandler\isExecutable
isExecutable( $filename=false)
Definition: ezfilehandler.php:437
eZFileHandler\doRewind
doRewind()
Definition: ezfilehandler.php:878
eZFileHandler\$FileHandler
$FileHandler
Definition: ezfilehandler.php:59
eZFileHandler\$IsOpen
$IsOpen
Definition: ezfilehandler.php:1052
eZFileHandler\$Name
$Name
Definition: ezfilehandler.php:1048
eZFileHandler\flush
flush()
Definition: ezfilehandler.php:665
eZFileHandler\isWriteable
isWriteable( $filename=false)
Definition: ezfilehandler.php:477
eZFileHandler\__construct
__construct( $handlerIdentifier=false, $handlerName=false)
Definition: ezfilehandler.php:66
eZFileHandler\isOpen
isOpen()
Definition: ezfilehandler.php:85
eZFileHandler\rewind
rewind()
Definition: ezfilehandler.php:698
eZFileHandler\doStatistics
static doStatistics( $filename)
Definition: ezfilehandler.php:858
eZFileHandler\mode
mode()
Definition: ezfilehandler.php:109
eZFileHandler\duplicate
duplicate()
Definition: ezfilehandler.php:995
eZFileHandler\errorString
errorString()
Definition: ezfilehandler.php:977
eZFileHandler\doClose
doClose()
Definition: ezfilehandler.php:766
eZFileHandler\doEOF
doEOF()
Definition: ezfilehandler.php:898
eZFileHandler\linkCopy
static linkCopy( $sourceFilename, $destinationFilename, $symbolicLink=true)
Definition: ezfilehandler.php:148
eZFileHandler\doRename
static doRename( $destinationFilename, $sourceFilename)
Definition: ezfilehandler.php:956
eZFileHandler\doWrite
doWrite( $data, $length=false)
Definition: ezfilehandler.php:933
eZFileHandler\name
name()
Definition: ezfilehandler.php:118
eZFileHandler\instance
static instance( $identifier, $filename=false, $mode=false, $binaryFile=true)
Definition: ezfilehandler.php:1018
eZFileHandler\copy
static copy( $sourceFilename, $destinationFilename)
Definition: ezfilehandler.php:357
eZFileHandler\tell
tell()
Definition: ezfilehandler.php:712
eZFileHandler\move
static move( $sourceFilename, $destinationFilename)
Definition: ezfilehandler.php:290
eZFileHandler\$FileName
$FileName
Definition: ezfilehandler.php:1049
eZFileHandler\seek
seek( $offset, $whence=SEEK_SET)
Definition: ezfilehandler.php:684
eZFileHandler\$IsBinary
$IsBinary
Definition: ezfilehandler.php:1051
eZFileHandler\open
open( $filename, $mode, $binaryFile=true)
Definition: ezfilehandler.php:503
eZFileHandler\close
close()
Definition: ezfilehandler.php:545
eZFileHandler\doSeek
doSeek( $offset, $whence)
Definition: ezfilehandler.php:868
eZFileHandler\isBinaryMode
isBinaryMode()
Definition: ezfilehandler.php:93
eZFileHandler\doOpen
doOpen( $filename, $mode)
Definition: ezfilehandler.php:755
eZFileHandler\link
static link( $sourceFilename, $destinationFilename)
Definition: ezfilehandler.php:244
eZFileHandler\doFlush
doFlush()
Definition: ezfilehandler.php:946
eZFileHandler\eof
eof()
Definition: ezfilehandler.php:725
eZFileHandler\doIsExecutable
static doIsExecutable( $filename)
Definition: ezfilehandler.php:808
eZFileHandler\error
error()
Definition: ezfilehandler.php:967
eZFileHandler\statistics
statistics( $filename=false)
Definition: ezfilehandler.php:487
eZFileHandler\doPasstrough
doPasstrough( $closeFile=true)
Definition: ezfilehandler.php:908
eZFileHandler\doIsFile
static doIsFile( $filename)
Definition: ezfilehandler.php:818
eZFileHandler\$Mode
$Mode
Definition: ezfilehandler.php:1050
eZFileHandler\doIsReadable
static doIsReadable( $filename)
Definition: ezfilehandler.php:838
eZFileHandler\errorNumber
errorNumber()
Definition: ezfilehandler.php:986
eZFileHandler\isAvailable
static isAvailable()
Definition: ezfilehandler.php:136
eZFileHandler\isFile
isFile( $filename=false)
Definition: ezfilehandler.php:447
eZFileHandler\unlink
unlink( $filename=false)
Definition: ezfilehandler.php:566
eZFileHandler\exists
exists( $filename=false)
Definition: ezfilehandler.php:417
eZFileHandler\isDirectory
isDirectory( $filename=false)
Definition: ezfilehandler.php:427
eZFileHandler\doIsDirectory
static doIsDirectory( $filename)
Definition: ezfilehandler.php:798
eZFileHandler\filename
filename()
Definition: ezfilehandler.php:101
eZFileHandler\identifier
identifier()
Definition: ezfilehandler.php:127
eZFileHandler\doIsLink
static doIsLink( $filename)
Definition: ezfilehandler.php:828
eZFileHandler\rename
rename( $destinationFilename, $sourceFilename=false)
Definition: ezfilehandler.php:586
eZFileHandler\isReadable
isReadable( $filename=false)
Definition: ezfilehandler.php:467
eZFileHandler\doIsWriteable
static doIsWriteable( $filename)
Definition: ezfilehandler.php:848
eZFileHandler\doUnlink
static doUnlink( $filename)
Definition: ezfilehandler.php:778
eZFileHandler\$Identifier
$Identifier
Definition: ezfilehandler.php:58
eZFileHandler\read
read( $length=false)
Definition: ezfilehandler.php:610
eZFileHandler\doTell
doTell()
Definition: ezfilehandler.php:888
eZFileHandler\write
write( $data, $length=false)
Definition: ezfilehandler.php:646
eZFileHandler\isLink
isLink( $filename=false)
Definition: ezfilehandler.php:457
eZFile\rename
static rename( $srcFile, $destFile, $mkdir=false, $flags=0)
Definition: ezfile.php:153
eZSys\osType
static osType()
Definition: ezsys.php:222
$ini
$ini
Definition: classes/admin/linklist.php:64
$result
$result
Definition: companysearch.php:94
file_exists
static file_exists( $inifilename)
Definition: eZPBINIFile.php:195
$offset
$offset
Definition: ezstats/admin/cron.php:51
$instance
$instance
Definition: orderedit.php:667
Name
if($user) if(isset( $next) && $next)<?=isset($all_fields_error) &&$all_fields_error ?><?=isset($password_error) &&$password_error ?></p ><? endif;?>< form method="post">< table border="0" cellspacing="2" cellpadding="2" class="boxtext" style="font-size=13;">< tr >< td style="color:<?= isset( $error['first_name'] ) ?> First Name
Definition: step1.php:127
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.